Endpoint Examples

/totals

Get summary metrics on all postings matching the filters.

POST /totals

Query Parameters

NameTypeDescription
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.

Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

area_versionenum

Specify area taxonomy version to use.
This parameter is optional.

Default: ca_area_sgc2016

Must be one of: ca_area_sgc2016, ca_area_sgc2021

area_ca_versionenum

Specify area taxonomy version to use.
This parameter is optional.

Default: 2021.0.0

Must be one of: 2021.0.0, 2016.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": "active",
    "skills_name": {
      "include": [
        "SQL (Programming Language)",
        "C++ (Programming Language)"
      ],
      "exclude": [
        "Java (Programming Lanuage)",
        "C Sharp (Programming Language)"
      ]
    }
  },
  "metrics": [
    "duplicate_postings",
    "unique_postings"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/totals \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": "active", "skills_name": { "include": [ "SQL (Programming Language)", "C++ (Programming Language)" ], "exclude": [ "Java (Programming Lanuage)", "C Sharp (Programming Language)" ] } }, "metrics": [ "duplicate_postings", "unique_postings" ] }'

Response Examples

{
  "data": {
    "totals": {
      "duplicate_postings": 66483,
      "median_posting_duration": null,
      "unique_postings": 16267
    }
  }
}
// Your request wasn't valid (bad parameter names or values).


{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
// Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}